Xu Xiaodong avatar Xu Xiaodong committed 3d9a07f

initial commit

Comments (0)

Files changed (2)

+说明
+====
+
+本脚本将有线网络连接由手动指定 IP 更改为 DHCP 获取方式.
+
+用法
+====
+
+双击 elnk.sh,选择在终端中运行.
+#!/bin/sh
+#
+# name:      elnk, 将有线网络连接由手动指定 ip 更改为 dhcp 获取 ip.
+# author:    Xu Xiaodong <xxdlhy@gmail.com>
+# license:   GPL
+# created:   2011 Jul 17
+# modified:  2011 Jul 18
+#
+
+BASE=/etc/NetworkManager/system-connections
+FILE=自动以太网
+
+sudo perl -p -i -e 's/method=manual/method=auto/; s/^addresses1=.*\n//' $BASE/$FILE
+
+if [ $? -eq 0 ]; then
+  echo "已更改 $FILE. [OK]"
+fi
+
+sudo service network-manager restart
+
+sleep 10m
+
+# vim: ai:et:ts=2:sw=2:sts=2:tw=78:ft=sh
Tip: Filter by directory path e.g. /media app.js to search for public/media/app.js.
Tip: Use camelCasing e.g. ProjME to search for ProjectModifiedEvent.java.
Tip: Filter by extension type e.g. /repo .js to search for all .js files in the /repo directory.
Tip: Separate your search with spaces e.g. /ssh pom.xml to search for src/ssh/pom.xml.
Tip: Use ↑ and ↓ arrow keys to navigate and return to view the file.
Tip: You can also navigate files with Ctrl+j (next) and Ctrl+k (previous) and view the file with Ctrl+o.
Tip: You can also navigate files with Alt+j (next) and Alt+k (previous) and view the file with Alt+o.